﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace tx_sql_db
{
    public partial class frmCustomers : Form
    {
        public TXTextControl.TextControl tx;

        public frmCustomers()
        {
            InitializeComponent();
        }

        private void frmCustomers_Load(object sender, EventArgs e)
        {
            this.customersTableAdapter.Fill(this.customersDataSet.customers);
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            // loop through all fields to merge
            // the text with the database content
            foreach (TXTextControl.ApplicationField field in tx.ApplicationFields)
            {
                try
                {
                    if (field.TypeName != "MERGEFIELD")
                        return;

                    // create a new field adapter
                    TXTextControl.DocumentServer.Fields.MergeField mf =
                        new TXTextControl.DocumentServer.Fields.MergeField(field);

                    if (this.customersDataSet.customers.Columns.Contains(mf.Name) == false)
                        continue;

                    // merge the text
                    field.Text = this.customersDataSet.customers.Rows[dataGridView1.SelectedRows[0].Index][mf.Name].ToString();
                }
                catch (Exception exc)
                {
                    MessageBox.Show(exc.Message);
                }
            }
        }
    }
}
